ChangeSet 1.1399, 2003/06/10 16:37:14-07:00, greg@kroah.com

[PATCH] USB: sparse fixups for drivers/usb/core/devices.c


 drivers/usb/core/devices.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/drivers/usb/core/devices.c b/drivers/usb/core/devices.c
--- a/drivers/usb/core/devices.c	Tue Jun 10 17:10:56 2003
+++ b/drivers/usb/core/devices.c	Tue Jun 10 17:10:56 2003
@@ -444,7 +444,7 @@
  * skip_bytes - the number of bytes to skip before writing anything
  * file_offset - the offset into the devices file on completion
  */
-static ssize_t usb_device_dump(char **buffer, size_t *nbytes, loff_t *skip_bytes, loff_t *file_offset,
+static ssize_t usb_device_dump(char __user **buffer, size_t *nbytes, loff_t *skip_bytes, loff_t *file_offset,
 				struct usb_device *usbdev, struct usb_bus *bus, int level, int index, int count)
 {
 	int chix;
@@ -554,7 +554,7 @@
 	return total_written;
 }
 
-static ssize_t usb_device_read(struct file *file, char *buf, size_t nbytes, loff_t *ppos)
+static ssize_t usb_device_read(struct file *file, char __user *buf, size_t nbytes, loff_t *ppos)
 {
 	struct list_head *buslist;
 	struct usb_bus *bus;
